shotwell (0.27.0-0~jensge1~artful1) artful; urgency=medium

  * Remove F-Spot import support
  * Create a commandline utility to test image transformations
  * Speed up color transformations a bit
  * Bump GTK+ requirement to 3.18 and remove deprecated functions
  * Clean-up histogram drawing code
  * Run thumbnailer with nice 19
  * Update VAAPI blacklisting for video thumbnailer and new plugin structure
  * Add configurable image background
  * Split several dialogs from shotwell.ui file
  * Move Tumblr to default plugin set
  * Remove some unnecessary memcpys on import
  * Add Meson build support
  * Some more ngettext for plurals
  * Add --fullscreen/-f option for viewer
  * Add option to install Ubuntu apport hook
  * Fix issue when importing to NTFS-backed vboxfs
  * Fix GSettings schema search path for running out-of-tree
  * Work around "Camera locked: -53" error on GNOME
  * Fix issue with missing highlight on dnd actions

 -- Jens Georg <mail@jensge.org>  Wed, 21 Jun 2017 08:17:24 +0200

shotwell (0.26.0-0~jensge1~zesty1) zesty; urgency=medium

  * Translation updates
  * Fix build on non-glibc systems
  * Fix missing optimisation in standard configure call

 -- Jens Georg <mail@jensge.org>  Mon, 20 Mar 2017 13:40:51 +0100

shotwell (0.25.92-0~jensge1~zesty1) zesty; urgency=medium

  * Fix navigation issue when deleting image in fullscreen view
  * Fix toolbox not visible on Mate in fullscreen view
  * Fix navigation in viewer when saving modified photo
  * Fix wrong macro in manpage
  * Clean-up some dependencies
  * Make it possible to enable/disable individual publishers
  * Remove obsolete UI file
  * Move all icons in the resource file
  * Move ui files into resources
  * Remove obsolete Glade helpers
  * Clean-up printing dialog a little
  * Piwigo: Append .jpg extension to published raw files
  * Fix keyboard accessability of CCW rotation
  * Fix massive memory consumption when importing videos
  * Fix context menu of viewer
  * Fix a useless string copy
  * Use defalt measurements depending on locale when none are set
  * Translation updates

 -- Jens Georg <mail@jensge.org>  Thu, 16 Mar 2017 20:01:59 +0100

shotwell (0.25.90-0~jensge1~xenial1) xenial; urgency=medium

  * Remove obsolete option to create new folders on Picasa web albums
  * Update Google API keys
  * Fix Youtube upload by porting to libgdata
  * Use embedded thumbnails in RAW files when default developer is set to
    Camera
  * Remove accidental raw development while importing
  * Fix "Export" menu accidently being labelled as "Save As"

 -- Jens Georg <mail@jensge.org>  Mon, 27 Feb 2017 20:38:51 +0100

shotwell (0.25.5-0~jensge1~yakkety1) yakkety; urgency=medium

  * Fix setting of gamma value and color matrix in libraw
  * Extract web publishing authenticators into separate library. That should
    make it possible to easily support UOA and GOA without patching Shotwell.
  * Translation updates

 -- Jens Georg <mail@jensge.org>  Thu, 23 Feb 2017 18:06:00 +0100

shotwell (0.25.4-0~jensge1~yakkety1) yakkety; urgency=high

  * Publishing: Use HTTPS everywhere
  * Translation updates

 -- Jens Georg <mail@jensge.org>  Tue, 31 Jan 2017 21:24:30 +0100

shotwell (0.25.3-0~jensge1~yakkety1) yakkety; urgency=medium

  * Fix event page context menu
  * Try to guess character set of string when UTF-8 validation fails
  * Fix tags context menu
  * Properly switch menu bar when changing pages
  * Fix rating
  * Fix a critical about reparenting a popup menu
  * Fix sidebar context menu
  * Fix toolbar in camera import page
  * Update glade files for all publishers
  * Flickr: Simplify OAuth parsing by using libsoup
  * Fix accellerators not coming from menu model
  * Add <Ctrl>-f as shortcut for search bar
  * Remove AppMenu, needs more thinking about the design.
  * Flickr: Use human-readable size of upload quota
  * Fix leave fullscreen option
  * Fix upload issues with flickr
  * Fix several disabled actions when switching away from pages
  * Fix actions in fullscreen
  * Fix several typos
  * Piwigo: Fix title and comments on upload
  * Improved duplicate detection
  * Updated translations

 -- Jens Georg <mail@jensge.org>  Wed, 18 Jan 2017 23:21:38 +0100

shotwell (0.25.2-0~jensge1~xenial1) xenial; urgency=medium

  * Fix missing About action
  * Fix setting of initial action state
  * Fix missing initialzation of several states
  * Fix sort order not working
  * Fix a critical on startup
  * Fix initial sort order
  * Fix hiding of search toolbar
  * Fix rating filter menu initially being disabled
  * Use Gtk.Revealer for bottom toolbar
  * Fix a copy and paste error in the publishing result
  * Use Application menu
  * Fix debian scripts
  * Fix filter actions not being active
  * Fix initial search bar state not being persisted
  * Remove deprecated Gtk.IconFactory
  * Add missing keyboard shortcut for setting the background
  * Move some dialogs to GtkTemplate, preparing for issues with valac master
  * Fix context-sensitive label of background menu
  * Fix context-sensitive label of Undo and Redo menu
  * Fix context menu on import page

 -- Jens Georg <mail@jensge.org>  Mon, 12 Dec 2016 18:18:45 +0100

shotwell (0.25.1-0~jensge1~xenial1) xenial; urgency=medium

  * Remove deprecated libsoup API
  * Remove extra box around WebKit authenticator view
  * Tumblr: Fix compile error with recent vala compiler
  * Thumbnailer: Fix an issue with accidental closing of file descriptors
  * Distribute misc.vapi
  * Use proper ngettext for plurals instead of hard-coded >1
  * Fix issue with unique index on MD5 and Format
  * Update Piwigo dialogs
  * Remove most of the deprecated API calls for GTK+ <= 3.14
  * Remove some useless warnings generated by Vala
  * Refactor Plugins to use a common aproach to load panes from glade
  * Piwigo: Simplify category parsing
  * Remove GtkUIManager and Gtk*Action* from code
  * Fix a crash when clicking on tool window under Wayland
  * Translation updates

 -- Jens Georg <mail@jensge.org>  Mon, 21 Nov 2016 20:28:43 +0100

shotwell (0.25.0-0~jensge1~xenial1) xenial; urgency=medium

  * Add contrast to improvements
  * Add a log when shifting events
  * Add a debug output of the current timezone
  * Fix compilation with recent Vala compiler
  * Fix focus handling of full-screen viewer
  * Remove obsolete CSS style property
  * Support ACDSEE tags
  * Use unicode characters
  * Remove deprecated calls
  * Silence two C warnings that are usually caused by valac
  * Refactor web authenticator
  * Spelling fixes
  * Piwigo: Add option to override SSL certificate handling
  * Piwigo: Add option to show the SSL certificate
  * Remove an old GTK+ work-around
  * Remove deprecated GSettings calls
  * Persist export dialog settings
  * Remove deprecated elements from export dialog
  * Port web plugins to new libsoup API
  * Fix libraw binding
  * Piwigo: Fix new album creation
  * Blacklist vaapi decoder to prevent crashes in video meta data extraction
  * Hide "Folder" side-bar when empty
  * Enable SQL debugging through environment variable


 -- Jens Georg <mail@jensge.org>  Mon, 24 Oct 2016 20:07:30 +0200

shotwell (0.23.7-1~jensge1~xenial1) xenial; urgency=medium

  * Language updates

 -- Jens Georg <mail@jensge.org>  Mon, 12 Sep 2016 20:10:26 +0200

shotwell (0.23.6-1~jensge1~xenial1) xenial; urgency=medium

  * Fix locale-dependent times
  * Use nl_langinfo instead of custom LConv
  * Fix renaming of tags and saved searches
  * Improve message shown on empty camera
  * Make thm a recognized extension for JPEG files

 -- Jens Georg <mail@jensge.org>  Mon, 29 Aug 2016 21:26:10 +0200

shotwell (0.23.5-1~jensge1~xenial2) xenial; urgency=medium

  * Plugins: Load icons and GtkBuilder files from GResource
  * Offer a way to hide the bottom toolbar
  * Fix .desktop file generation
  * Use Gtk.MessageDialog's printf-style API for strings
  * Add SQL indexes to PhotoTable
  * Add Language headers to po files
  * Update INSTALL file
  * Really remove reference to external hmac_sha1
  * Disambiguate strings for time ranges
  * Implement linked tags
  * Make it more clear that something failed if SSL conncetion was not
    possible
  * Add option to filter by saved search
  * Explicitly link plugins to their dependencies
  * Fix typo in GSettings schema
  * Re-add --disable-extra-plugins configure option
  * Fix settings migrator and thumbnailer path
  * Bump debian compat for proper --libexecdir parameter

 -- Jens Georg <mail@jensge.org>  Tue, 16 Aug 2016 12:57:15 +0200

shotwell (0.23.4-1~jensge1~xenial1) xenial; urgency=medium

  * libraw: Fix binding of ProcessedImage.data
  * graw: Prevent needless array duplication
  * Fix screenshot URLs in appdata
  * db: Add option to trace SQL statements
  * Change build system to autotools
  * Add help, appdata, gsettings and desktop files to translation system
  * Change way help is built and installed
  * Always install the manpage
  * Several translation fixes
  * Make message more clear that there are no photos matching a filter

 -- Jens Georg <mail@jensge.org>  Sun, 24 Jul 2016 18:43:30 +0200

shotwell (0.23.2-1~jensge2~xenial1) xenial; urgency=medium

  * Use yelp-build to generate HTML docs
  * Remove gphoto-2.4 support
  * Fix background color drawing (#766864)
  * Port GtkNotebook to GtkStack (#744289)
  * Fix missing scroll bars in events (#766864)
  * Fix URLs in manpage
  * Clean up external functions
  * Port librest's internal hmac_sha1 implementation to Vala
  * Fix multiplication of symbols in plugins
  * Request "popup" login in Facebook
  * Update help regarding publishing permissions in Facebook (#766919)
  * Add source SVG for new app icons
  * Update logo for help
  * Remove executable flag on images
  * Piwigo: Let libsoup parse the cookie
  * Remove string utility functions in publishing plugins
  * Remove a libgee work-around, bump to 0.10 minimum version
  * Make filter toolbar buttons contain text and image
  * Move commonly used functions into shared library to prevent multiple
    definition of symbols

 -- Jens Georg <mail@jensge.org>  Mon, 04 Jul 2016 22:06:16 +0200

shotwell (0.23.1-1~jensge2~xenial1) xenial; urgency=medium

  * Update Facebook application id. Facebook integration works again (#748991)
  * Remove obsolete VAPIs
  * Remove custom WEXITSTATUS implementation
  * Fix an assert in file monitor caused by renaming a file (#759403)
  * Rename "Yorba website" to "Shotwell website" in About dialog so it
    actually says what it does.
  * Change the way how shotwell checks whether it runs uninstalled to allow
    running with symlinks (#747374)
  * Copyright was transferred from Yorba to SFC
  * Do not block closing the viewer if there was an issue loading the photo
    (#740436)
  * Remove remaining references to .gnome2 directory (#766339)
  * Update icons to hires versions and add a symbolic one (#717326)
  * If we can't find any pixbuf representation of the Photo, push an empty
    pixmap to force the display of the error message (#766338)
  * Fix a critical when get_metadata returns null
  * Remove deprecated calls to gtk_widget_render_icon() (#719188)
  * Panic out if we cannot open the file in the viewer
  * Make toolbar use GtkOverlay instead of implementing a custom pop-up to
    prevent all kinds of issues with overlaying other applications or
    toolboxes (#756126)
  * Remove criticals caused by mouse hiding algorithm

 -- Jens Georg <mail@jensge.org>  Mon, 23 May 2016 21:04:00 +0200

shotwell (0.23.0-1~xenial1) xenial; urgency=medium

  * Allow thinner minimum sidebar (#718611)
  * Check .cache directory for read/write permissions (#737747)
  * Fix crash during metadata update (#739917)
  * Fixed Crop Ribbon / Control not visible (#747201)
  * Port to webkit2gtk-4.0 (#751709)
  * Have all soup sessions validate TLS certificates
  * Remove shell magic from Makefile
  * Remove calls to Posix.system()
  * Documentation fixes and improvements (#764800)
  * Fix CSS issue introduced with previous CSS improvements (#747637)
  * Don't use GtkHeaderBar on dialogs if the gtk-dialogs-use-header setting is
    not set (#749874)
  * Use proper umask to create XDG_USER_CACHE and XDG_USER_DATA when they not
    exist (#765182)
  * Don't build the plugin twice
  * Call pkg-config only once, not every compiler call
  * Fix parallel builds not to build plugins several times over
  * Fix contradicting license in rejected.svg (#757643)

 -- Jens Georg <mail@jensge.org>  Tue, 26 Apr 2016 18:50:55 +0200

shotwell (0.22.0-1~vivid1) vivid; urgency=low

  * Improved metadata support for Facebook upload (#742163)
  * Saved search now properly supports text is-set, not-set (#743924, #743923)
  * Import title, exposure time when available
  * User interface improvements (#744291, #719284, more)
  * Sort photos by filename (#717878)
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Mon, 02 Feb 2015 18:24:34 -0800


shotwell (0.21.0-1~utopic1) utopic; urgency=low

  * User interface refresh (#742326, #742443)
  * Fix Shotwell Viewer .desktop file (#743799)
  * Natural sorting of photo titles (#717960)
  * Improved video thumbnailer (#739396, #741821)
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Mon, 02 Feb 2015 18:24:34 -0800


shotwell (0.20.2-1~trusty2) trusty; urgency=low

  * Mark as Conflicts/Replaces Ubuntu's shotwell-common package (#724080)

 -- Jim Nelson <jim@yorba.org>  Thu, 13 Nov 2014 19:12:06 -0800


shotwell (0.20.2-1~trusty1) trusty; urgency=low

  * Set Desktop Slideshow dialog resource now included in distribution (#739095)
  * Check for rendering failure in video thumbnailer (#738245)
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Fri, 31 Oct 2014 14:30:15 -0700


shotwell (0.20.1-1~utopic1) utopic; urgency=low

  * Corrects problems with navigating photos in full-screen mode (#737092)
  * Better memory utilization via more conservative pixbuf cache (#715198)
  * Fixes minor bugs detected by better Vala code analysis

 -- Jim Nelson <jim@yorba.org>  Thu, 02 Oct 2014 13:08:22 -0700


shotwell (0.20.0-1~trusty1) trusty; urgency=low

  * Fix crash when deleting a photo in Shotwell Photo Viewer
  * Fix crash when deleting a photo
  * Better detection of corrupt files while importing
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Tue, 16 Sep 2014 15:36:44 -0700


shotwell (0.19.0-1~saucy1) saucy; urgency=low

  * Support for Rajce.net and Gallery 3 photo services added
  * Set background image for lock screen
  * Better detection of corrupt images during import
  * Various bug fixes
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Thu, 21 Aug 2014 13:59:52 -0700


shotwell (0.18.1-1~saucy1) saucy; urgency=low

  * Fix Flickr publishing errors due to Flickr moving to HTTPs-only
  * Fix crash when updating photo data/time
  * Fix crash due to nested tag and changing sidebar selection
  * Corrected URLs to point to new gnome.org pages

 -- Jim Nelson <jim@yorba.org>  Mon, 30 Jun 2014 15:11:13 -0700


shotwell (0.18.0-1~saucy1) saucy; urgency=low

  * Tumblr publishing fixed
  * UNIX pipe unnecessarily left open for each imported video
  * Improved searching for event comments and diacritics
  * Bug fixes
  * Compile and install translated help files
  * Updated translations

 -- Jim Nelson <jim@yorba.org>  Mon, 17 Mar 2014 15:56:49 -0700


shotwell (0.15.1-1~raring1) raring; urgency=low

  * Install Tumblr plugin resources
  * Fix crash when video thumbnails are being inspected and created

 -- Jim Nelson <jim@yorba.org>  Tue, 19 Nov 2013 16:28:43 -0800


shotwell (0.15.0-2~raring1) raring; urgency=low

  * Update to latest gexiv2

 -- Charles Lindsay <chaz@yorba.org>  Fri, 04 Oct 2013 12:51:06 -0700

shotwell (0.15.0-1~raring2) raring; urgency=low

  * Copy and paste color adjustments between photos
  * Highlights detail adjustment
  * YouTube plugin now uses OAuth / OpenID
  * Videos in Missing Files now re-import properly
  * Improvements when thumbnailing videos
  * Numerous bug fixes

 -- Jim Nelson <jim@yorba.org>  Thu, 03 Oct 2013 16:33:28 -0700


shotwell (0.14.1-1~quantal1) quantal; urgency=low

  * Fixes a critical issue where Shotwell could
    close unexpectedly when working with RAW photos
    in direct-edit mode
  * The Facebook Connector now recovers smoothly
    from type 7 errors
  * EXIF-oriented photos uploaded to Facebook now
    appear in their correct orientation, even when
    the strip metadata option is turned on
  * Fixes an issue where incorrect view filter
    settings were applied on tag and event pages
  * The Camera Developer is now disabled for RAW
    images that lack a suitable paired or embedded
    JPEG preview
  * Updated translations for many languages,
    including an updated Catalan translation that
    corrects a problem where incorrect event dates
    were displayed
  * Assorted other bug fixes

 -- Lucas Beeler <lucas@yorba.org>  Wed, 3 Apr 2013 10:59:20 -0700


shotwell (0.14.0-1~quantal1) quantal; urgency=low

  * A folder tree in the sidebar provides a directory-
    hierarchy view of your Shotwell library.
  * Dramatically improved user experience for RAW
    photographers: long-standing bugs involving RAW
    developer switching have been fixed.
  * Comprehensive logging of photo and video import,
    including the ability to save an import log file
    to disk. The log tracks which files were detected
    as duplicates as well as files that couldn't be
    imported due to disk or camera problems.
  * The Facebook Connector now uses the Facebook
    Graph API, resulting in a smoother, more stable
    experience uploading photos and videos to Facebook.
    As a bonus, Shotwell photo titles now appear as
    Facebook photo captions!
  * The Shotwell video subsystem now relies on
    GStreamer 1.0, making for easier, more stable video
    import, better video thumbnails, and better handling
    of video metadata.
  * New slideshow effects, improved Piwigo support,
    the ability to show and hide the main Shotwell sidebar,
    and numerous bug fixes and translation updates!

 -- Lucas Beeler <lucas@yorba.org>  Mon, 18 Mar 2013 12:15:51 -0700


shotwell (0.14.0pr1-1~precise1) precise; urgency=low

  * 0.14.0 pre-release

 -- Jim Nelson <jim@yorba.org>  Wed, 06 Mar 2013 12:27:58 -0800


shotwell (0.13.1-1~precise1) precise; urgency=low

  * Fixes an issue in which Shotwell would crash after deleting
    all photos present in a view
  * Fixes an issue where Shotwell would not include all
    selected photos during a Nautilus "Send To..." export
    operation
  * Corrects a problem in which the file chooser dialog
    used to select Shotwell's library location would
    inappropriately select the parent directory of the chosen
    directory
  * Shotwell now properly inhibits the system screensaver when
    playing a slideshow
  * Fixes an issue in which the search filter bar could become
    invisible even though a filter was being applied
  * A progress bar now correctly appears during long batch
    rotate and auto-enhance operations
  * Shotwell no longer crashes when certain kinds of malformed
    responses are received from remote servers during photo
    publishing
  * Corrected translation and desktop integration errors
    
 -- Lucas Beeler <lucas@yorba.org>  Fri, 5 Oct 2012 11:09:17 -0700


shotwell (0.13.0-1~precise1) precise; urgency=low

  * The Shotwell Extras plugins now include support for
    publishing photos to Tumblr
  * Shotwell correctly handles dates before 1969
  * Shotwell lets you remove sensitive information from photos
    before publishing them to social media sites
  * Shotwell regenerates thumbnails automatically, making 
    migrating libraries between computers easier
  * The Picasa connector now uses OAuth authentication for
    enhanced security
  * Bug fixes and translation updates
    
 -- Lucas Beeler <lucas@yorba.org>  Wed, 19 Sep 2012 16:08:22 -0700


shotwell (0.12.3-1~oneiric1) oneiric; urgency=low

  * Corrects an issue where tags could be inappropriately removed from a
    library.
  * Enhances support for AVCHD-capable cameras.
  * Prevents a soft lockup that could occur when certain very dark images
    were autoenhanced.
  * Corrects an issue where pressing the zoom hotkeys in certain parts
    of the application could cause a crash.
    
 -- Clint Rogers <clinton@yorba.org>  Wed, 9 May 2012 11:22:00 -0700


shotwell (0.12.2-1~oneiric1) oneiric; urgency=low

  * Corrects an issue where graphical corruption of the UI could
    occur if the user navigated away from a camera page while camera
    previews were being generated.
  * Adds enhanced support for the Unity desktop environment.
  * Clarified several strings.
  * The application now recovers gracefully from corrupted tag data. 
    
 -- Clint Rogers <clinton@yorba.org>  Tue, 11 Apr 2012 11:22:00 -0700


shotwell (0.12.1-2~oneiric1) oneiric; urgency=low

  * Rebuild 0.12.1 for Oneiric with updated gexiv2.

 -- Adam Dingle <adam@yorba.org>  Sat, 31 Mar 2012 12:56:39 -0700


shotwell (0.12.1-1~oneiric1) oneiric; urgency=low

  * Corrects a critical issue where the application could
    not be started in direct-edit mode.
    
 -- Clint Rogers <clinton@yorba.org>  Tue, 28 Mar 2012 12:18:54 -0700
 
 
shotwell (0.12.0+trunk-1~oneiric1) oneiric; urgency=low

  * Adds straighten tool
  * Ported from GTK 2 to GTK 3
  * Better handling of importing from Android devices
  * Facebook and Flickr login now use OAuth authentication
  * Numerous enhancements to the plugin subsystem
  * The F-Spot importer is now implemented as a plugin
  * Many, many bugfixes and stability enhancements

 -- Clint Rogers <clinton@yorba.org>  Tue, 27 Mar 2012 12:18:54 -0700


shotwell (0.11.6+trunk-1~oneiric1) oneiric; urgency=low

  * Fixes a critical bug in which adding or modifying
    tags in the single-photo view could result in the
    loss of tag data.

 -- Lucas Beeler <lucas@yorba.org>  Thu, 3 Nov 2011 14:57:12 -0800


shotwell (0.11.5+trunk-1~oneiric) oneiric; urgency=low

  * Trunk build for Oneiric.

 -- Eric Gregory <eric@polaris>  Mon, 24 Oct 2011 11:38:45 -0700


shotwell (0.11.5-1~natty1) natty; urgency=low

  * Fixes a collection concurrent access issue that could cause
    Shotwell to crash during F-Spot import for users still
    affected by this issue even after installing the Shotwell
    0.11.4 update.

 -- Lucas Beeler <lucas@yorba.org>  Tue, 18 Oct 2011 12:02:25 -0800 


shotwell (0.11.4-1~natty1) natty; urgency=low

  * Fixes two collection concurrent access issues that could cause
    Shotwell to crash during F-Spot import.

 -- Lucas Beeler <lucas@yorba.org>  Tue, 13 Oct 2011 13:43:11 -0800 


shotwell (0.11.3-1~natty1) natty; urgency=low

  * Fixes a critical issue where Shotwell could crash immediately
    following a photo import
  * Fixes a critical issue where Shotwell could crash if the user
    entered a tag name containing a slash ("/") character
  * Long error messages in the Publishing dialog box are now wrapped
    correctly

 -- Lucas Beeler <lucas@yorba.org>  Tue, 11 Oct 2011 14:20:00 -0800 


shotwell (0.11.2-1~natty1) natty; urgency=low

  * Increases stability working with hierarchical tags
  * Importing hierarchical tags from F-Spot now works properly
  * Fixes "server redirect contained no session key" errors in
    the Facebook Connector
  * Corrects problems with item counts over mixed media
  * Various small fixes and enhancements

 -- Lucas Beeler <lucas@yorba.org>  Tue, 20 Sep 2011 15:00:00 -0800 


shotwell (0.11.1-1~natty1) natty; urgency=low

  * RAW+JPEG pairing now works on file import
  * Startup crashes fixed
  * Hierarchical tag issues resolved
  * RAW developer bugs fixed
  * Resolved internationalization problems
  * Various small fixes and enhancements

 -- Eric Gregory <eric@yorba.org>  Thu, 8 Sep 2011 13:00:00 -0800 


shotwell (0.11.0-1~natty1) natty; urgency=low

  * Hierarchical tags
  * Support for RAW+JPEG and selectable RAW developer
  * Switched from GConf to GSettings
  * "Hide Photos Already Imported" is now persistent
  * New Saved Search options
  * Mimics no longer stored in home directory
  * Added support for BMP format
  * Many, many bugfixes

 -- Eric Gregory <eric@yorba.org>  Tue, 23 Aug 2011 13:00:00 -0800 


shotwell (0.10.1-1~natty1) natty; urgency=low

  * Fixes "Hide Photos Already Imported"
  * Multiple editing bugs fixed
  * Resolves crash when two or more cameras have the same name
  * Documentation now includes saved searches
  * Piwigo bugs fixed
  * Translation updates

 -- Eric Gregory <eric@yorba.org>  Fri, 3 Jun 2011 13:00:00 -0800 


shotwell (0.10.0-1~natty1) natty; urgency=low

  * Dynamic view of photo library through saved search feature
  * Automatic database backup
  * Adjust date/time for videos
  * Added Valadate testing framework
  * Shotwell video thumbnailer eliminates Totem dependency
  * Crop tool is now more flexible
  * Filenames no longer used as titles on Facebook and Picasa uploads
  * Translation corrections
  * Many bug fixes

 -- Eric Gregory <eric@yorba.org>  Thu, 26 May 2011 13:00:00 -0800 


shotwell (0.9.3-1~maverick1) maverick; urgency=low

  * Resolves issue where setting the desktop background didn't work in Gnome3
  * Mimics are now deleted when a RAW photo is removed
  * Event dates are now only shown once in the Event view
  * Fixes a number of translation issues

 -- Eric Gregory <eric@yorba.org>  Wed, 21 Apr 2011 15:00:00 -0800 


shotwell (0.9.2-1~maverick1) maverick; urgency=low

  * Resolves translation issue where shotwell.mo is installed in wrong location
  * Fixes issue where cancelling Flickr upload can crash Shotwell
  * Fixes issue where creating a Picasa Web album with an ampersand in the name 
    crashes Shotwell
  * Resolves bug where selecting "Publish" in single photo mode publishes the 
    entire library instead of the selected photo
  * Async I/O in publishing operations is now stopped when the user cancels the 
    operation
  * Issue fixed on Fedora where the text was cut off in publishing dialog
  * Fixes issue with ratings filter where it didn't function when the search bar
    was hidden

 -- Eric Gregory <eric@yorba.org>  Mon, 11 Feb 2011 15:00:00 -0800 


shotwell (0.9.1-1~maverick1) maverick; urgency=low

  * Fixes many crashes and other issues in publishing plugins.
  * Fixes issues where paths and filenames are not displayed correctly after a 
    failed import.
  * Fixed issue where text search in event and camera import pages was a string 
    match instead of a keyword match.
  * For enhanced compatibility with GNOME 3, the desktop name of the Shotwell 
    application has changed from "Shotwell Photo Manager" to simply "Shotwell".
  * Shotwell now provides a configure script option to set the name of the system 
    library directory to either lib or lib64.
  * Enhanced visibility of red-eye reticle.
  * Fixed issue where the Adjust palette could be positioned partially off-screen
  * Plugins now respect --debug switch in configure script.
  * The event containing undated photos could be incorrectly labelled "(null)" in 
    the events directory page.

 -- Eric Gregory <eric@yorba.org>  Mon, 4 Feb 2011 12:00:00 -0800 


shotwell (0.9.0-1~maverick1) maverick; urgency=low

  * New search bar can filter by media type, rating, and text matching.
    (Titles, filename, tag and event names are searched.)
  * TIFF support
  * Extensible plugin framework for Web publishing and slideshow transitions.
  * Print multiple photos, and multiple photos per page.
  * Configurable user directory pattern during import.
  * Edit multiple photo titles at once.
  * Improved rendering of underexposed RAW photos.
  * Various improvements and bug fixes.

 -- Eric Gregory <eric@yorba.org>  Fri, 18 Mar 2011 18:14:31 -0800 


shotwell (0.8.1-1~maverick1) maverick; urgency=low

  * Fixes a problem where Shotwell could crash unexpectedly at
    startup or when reading/writing metadata to files.
  * Fixes a problem where Shotwell could hang when importing
    voice-annotated videos.
  * Fixes a problem where Shotwell failed to import date and time
    information for some camera-generated MP4 videos.
  * Shotwell can now delete video files from camera memory.
  * Shotwell now supports the 3GP video format common on mobile
    phones and RAW files with the SRW suffix generated by Samsung
    cameras.
  * Translation fixes and updates.

 -- Lucas Beeler <lucas@yorba.org>  Mon, 10 Jan 2011 15:07:31 -0800 


shotwell (0.8.0-1~maverick1) maverick; urgency=low

  * Video support for Ogg, AVI, MP4, Quicktime, and WMV files.
  * Upload videos to major Web services, including YouTube, Facebook, Flickr,
    and PicasaWeb.
  * Runtime monitoring of library directory and auto-import of newly created
    files.
  * Background writing of metadata (tags, titles, rating, orientation, exposure
    date) to master files (user configurable).
  * Flagging of photos for batch operations.
  * Set multiple photos to desktop background slideshow.
  * Numerous translation updates.
  * Various bug fixes.

 -- Jim Nelson <jim@yorba.org>  Thu, 23 Dec 2010 12:22:14 -0800 


shotwell (0.7.2-1~lucid1) lucid; urgency=low

  * Fixed major startup problem when the user's Pictures directory is actually
    a symbolic link.
  * Fixed potential crasher when the user's Pictures directory contains a
    large number of subdirectories.
  * No longer asking if copying or linking if importing from Pictures directory
    (which will always be linked).
  * Fixed issue when logging in to PicasaWeb with a password with a '+'
    character.
  * Fixed update problem when using an external editor on a photo that was
    edited externally in an earlier session.
  * Various bug fixes.
  * Numerous translation updates.

 -- Jim Nelson <jim@yorba.org>  Fri, 10 Sep 2010 15:52:16 -0700 


shotwell (0.7.1-1~lucid1) lucid; urgency=low

  * Fixed a critical bug that caused Shotwell to crash when
    deleting the only photo in an event
  * F-Spot import now correctly interprets older databases
  * Fixed an issue where pressing F11 would not exit full-screen
    mode
  * Translation updates for several languages
  * Updated documentation

 -- Lucas Beeler <lucas@yorba.org>  Thu, 26 Aug 2010 12:32:09 -0700 


shotwell (0.7.0-1~lucid1) lucid; urgency=low

  * Migration support for F-Spot users: Shotwell can import
    photos directly from your F-Spot library, preserving tags
    and ratings
  * Photos can be rated on a 1-5 star scale or marked as rejected.
    A filter button supports viewing only photos of a specified
    rating or better
  * A new Last Import page in the sidebar gives you instant access
    to your most recently imported photo roll
  * Sidebar functionality and appearance have been improved with
    new icons and inline renaming
  * Shotwell scans your library files at startup, looking for
    changes. Maintains library consistency when working with
    photos in other applications

 -- Lucas Beeler <lucas@yorba.org>  Fri, 20 Aug 2010 13:40:54 -0700 


shotwell (0.6.1-1~lucid1) lucid; urgency=low

  * Added Lithuanian and Serbian translations, updated Italian
    and Spanish translations
  * Fixed a problem with reverting to the default library
    directory
  * Added more zooming shorcuts
  * Shotwell no longer offers to delete photos that failed to
    import from a camera
  * Photos emptied from trash no longer reappear

 -- Allison Barlow <allison@yorba.org>  Wed, 30 Jun 2010 09:31:31 -0700 


shotwell (0.6.0-1~lucid1) lucid; urgency=low

  * Basic support for RAW images, including import support for
    all common formats like CR2 and DNG
  * Full support for working with PNG images
  * Users can now zoom into photos to reveal latent detail
  * A new preferences dialog gives users exceptional control
    over Shotwell's functionality and appearance
  * Users can now open photos in an external editor, such as the
    GIMP, from within Shotwell
  * Photo tags and titles are imported automatically from XMP and
    IPTC metadata
  * A new photo trash can

 -- Lucas Beeler <lucas@yorba.org>  Mon, 28 Jun 2010 12:48:30 -0700 


shotwell (0.5.0-1~karmic3) karmic; urgency=low

  * Photos can be tagged and organized by tag, creating a new
    tool for managing your photo collection
  * Printing
  * Photos can now be published to Google's Picasa Web Albums
    service
  * Photo exposure date and time can be set and shifted
  * Photos can be set as your desktop background directly
    from Shotwell
  * Photo import runs in the background, making imports smoother
    and more fluid
  * Publishing photos to web services is more responsive

 -- Lucas Beeler <lucas@yorba.org>  Thu, 11 Mar 2010 13:36:24 -0800


shotwell (0.4.3-1~karmic1) karmic; urgency=low

  * Updated Italian and French translations.
  * Windows theme installed correctly.
  * Problems unmounting camera fixed.

 -- Jim Nelson <jim@yorba.org>  Mon, 18 Jan 2010 14:09:39 -0800


shotwell (0.4.2-1~karmic1) karmic; urgency=low

  * Added Bulgarian, Portuguese, and Slovak translations.  Updated 
    German translation.
  * Windows installation fixed.
  * Crash when deleting photos from camera fixed.

 -- Jim Nelson <jim@yorba.org>  Mon, 04 Jan 2010 15:02:42 -0800


shotwell (0.4.1-1~jaunty1) jaunty; urgency=low

  * Minor update adding a script missing in the 0.4.0 release.

 -- Adam Dingle <adam@yorba.org>  Thu, 24 Dec 2009 08:07:04 -0500


shotwell (0.4.0-1~jaunty1) jaunty; urgency=low
  * Facebook and Flickr publishing.
  * Events may now be split and merged.
  * Alpha-release of Windows port now available.
  * Undo/redo.
  * Mark photos as favorite or hidden.  View only favorites or show hidden
    photos.
  * Duplicate photos.
  * Numerous bug fixes.

 -- Jim Nelson <jim@yorba.org>  Wed, 23 Dec 2009 14:37:49 -0800


shotwell (0.3.2-1~jaunty1) jaunty; urgency=low

  * Loosened photo pipeline assertion that checked for pixbuf scaling.
  * Better error handling for situation where the HAL daemon (hald) is not
    running or ready.

 -- Jim Nelson <jim@yorba.org>  Wed, 11 Nov 2009 15:16:34 -0800


shotwell (0.3.1-1~jaunty1) jaunty; urgency=low

  * Makefile changes to facilitate packaging.
  * Warnings caught by Vala 0.7.8 corrected.
  * Toolbar items now marked "important" where appropriate.
  * Binary dependencies corrected in Debian packaging.

 -- Jim Nelson <jim@yorba.org>  Mon, 09 Nov 2009 14:25:31 -0800


shotwell (0.3.0-1~jaunty1) jaunty; urgency=low

  * Major update with numerous feature additions and performance and 
    scalability enhancements.
  * Auto enhance button, shadows control, and histogram contrast expansion now
    available.
  * Hierarchical event tree in sidebar.  Events can now be renamed.
  * Background readahead to display full-window and fullscreen photos faster.
  * Crop aspect ratios.
  * Basic information pane to display photo title, exposure time, dimensions,
    and file size.
  * Configurable slideshow delay.
  * Direct edit mode.  Shotwell can open any JPEG file, move between other
    JPEGS in the same directory, and edit them with the same tools available in
    the photo manager.
  * Better keyboard handling for selecting photos and moving between pages on
    the sidebar.
  * In camera view, option to hide photos already imported into Shotwell.
    User now offered full report of imported photos and asked if they wish to
    delete the photos from the camera.
  * User-configurable items now stored persistently via GConf.
  * Code internationalized.  Partial French translation now available.

 -- Jim Nelson <jim@yorba.org>  Mon, 02 Nov 2009 13:40:58 -0800


shotwell (0.2.0-1~jaunty1) jaunty; urgency=low

  * Color histogram now available in adjustment tool.
  * Drag-and-drop now supports the modifier keys for linking and asking
    which operation to perform.
  * Shotwell no longer uses a hardcoded directory for storing imported
    photos.
  * A nasty bug causing the X server to crash under compiz was fixed.
    (#380)
  * Support for libgee-0.3.0.

 -- Jim Nelson <jim@yorba.org>  Wed, 05 Aug 2009 16:02:02 -0700 


shotwell (0.1.2-1) jaunty; urgency=low

  * Red-eye reduction feature now available.
  * File/Import From Folder offers one more way to import photos into the
    library.
  * Color adjustment (exposure/saturation/tint/temperature) now available.
  * Support for Vala 0.7.5.

 -- Jim Nelson <jim@yorba.org>  Mon, 03 Aug 2009 11:27:11 -0700 

